package eu.eudat.file.transformer.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import java.util.Map;

public enum DmpBlueprintFieldCategory implements DatabaseEnum<Short> {
    System((short)0),
    Extra((short)1);

    private final Short value;

    DmpBlueprintFieldCategory(Short value) {
        this.value = value;
    }

    @JsonValue
    public Short getValue() {
        return value;
    }

    private static final Map<Short, DmpBlueprintFieldCategory> map = EnumUtils.getEnumValueMap(DmpBlueprintFieldCategory.class);

    public static DmpBlueprintFieldCategory of(Short i) {
        return map.get(i);
    }
}
