package eu.eudat.file.transformer.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import java.util.Map;

public enum FieldDataExternalDatasetType implements DatabaseEnum<String> {
	ReusedDataset("reused_dataset"),
	ProducedDataset("produced_dataset"),
	Other("other");
	private final String value;

	FieldDataExternalDatasetType(String value) {
		this.value = value;
	}

	@JsonValue
	public String getValue() {
		return value;
	}

	private static final Map<String, FieldDataExternalDatasetType> map = EnumUtils.getEnumValueMap(FieldDataExternalDatasetType.class);

	public static FieldDataExternalDatasetType of(String i) {
		return map.get(i);
	}
}
