package eu.eudat.file.transformer.models.dmp;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import eu.eudat.file.transformer.enums.DmpUserRole;
import eu.eudat.file.transformer.models.user.UserFileTransformerModel;

import java.util.UUID;

@JsonIgnoreProperties(ignoreUnknown = true)
public class DmpUserFileTransformerModel {

    private UUID id;
    private UserFileTransformerModel user;
    private DmpUserRole role;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public UserFileTransformerModel getUser() {
        return user;
    }

    public void setUser(UserFileTransformerModel user) {
        this.user = user;
    }

    public DmpUserRole getRole() {
        return role;
    }

    public void setRole(DmpUserRole role) {
        this.role = role;
    }
}
