package eu.eudat.file.transformer.models.user;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import eu.eudat.file.transformer.models.reference.ReferenceFileTransformerModel;

@JsonIgnoreProperties(ignoreUnknown = true)
public class UserAdditionalInfoFileTransformerModel {
	private String avatarUrl;
	private String timezone;
	private String culture;
	private String language;
	private String roleOrganization;
	private ReferenceFileTransformerModel organization;

	public String getAvatarUrl() {
		return avatarUrl;
	}

	public void setAvatarUrl(String avatarUrl) {
		this.avatarUrl = avatarUrl;
	}

	public String getTimezone() {
		return timezone;
	}

	public void setTimezone(String timezone) {
		this.timezone = timezone;
	}

	public String getCulture() {
		return culture;
	}

	public void setCulture(String culture) {
		this.culture = culture;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getRoleOrganization() {
		return roleOrganization;
	}

	public void setRoleOrganization(String roleOrganization) {
		this.roleOrganization = roleOrganization;
	}

	public ReferenceFileTransformerModel getOrganization() {
		return organization;
	}

	public void setOrganization(ReferenceFileTransformerModel organization) {
		this.organization = organization;
	}
}
