package eu.eudat.file.transformer.models.user;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.List;
import java.util.UUID;

@JsonIgnoreProperties(ignoreUnknown = true)
public class UserFileTransformerModel {

	private UUID id;
	private String name;
	private UserAdditionalInfoFileTransformerModel additionalInfo;
	private List<UserContactInfoFileTransformerModel> contacts;

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public UserAdditionalInfoFileTransformerModel getAdditionalInfo() {
		return additionalInfo;
	}

	public void setAdditionalInfo(UserAdditionalInfoFileTransformerModel additionalInfo) {
		this.additionalInfo = additionalInfo;
	}

	public List<UserContactInfoFileTransformerModel> getContacts() {
		return contacts;
	}

	public void setContacts(List<UserContactInfoFileTransformerModel> contacts) {
		this.contacts = contacts;
	}
}
